Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class AbstractVetoingConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.AbstractVetoingConstraint

All Implemented Interfaces:
  VetoingConstraint

    public abstract class AbstractVetoingConstraint
    extends AbstractConstraint

TODO: write javadoc

Authors:
  Sergey Nebolsin ()

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`protected boolean` | `processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`boolean` | `validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### processValidate

    @java.lang.Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### processValidateWithVetoing

    protected boolean processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### validateWithVetoing

    public boolean validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

Groovy Documentation